//************************Scene Object: Initialize When Scene Starts Event******************************************//
ninja.toggleVisible(); //we are exploring booleans, toggles are like light switches, it is either on or off

if($this.scene.state()=="PLAY"){
    var ninjaTime1=random(3000,1000);
    createTimer(ninjaTime1,function(){
        ninja.toggleVisible(); //since we are switching it off when we start the game, this timer is turning it off
        
    });
    
}